package com.xinelu.manage.vo.patientinfoimport;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Objects;

/**
 * 科室别名集合
 *
 * @author zh
 * @date 2024-11-26
 */
@Data
public class DeptAliasVO {

    /**
     * 科室名称（别名）
     */
    @ApiModelProperty(value = "科室名称")
    private String deptAlias;

    /**
     * 匹配的科室ID
     */
    @ApiModelProperty(value = "匹配的科室ID")
    private Long departmentId;

    /**
     * 匹配的科室名称
     */
    @ApiModelProperty(value = "匹配的科室名称")
    private String departmentName;

    /**
     * 流水号
     */
    @ApiModelProperty(value = "流水号")
    private String sn;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        DeptAliasVO that = (DeptAliasVO) o;
        return Objects.equals(deptAlias, that.deptAlias);
    }

    @Override
    public int hashCode() {
        return Objects.hash(deptAlias);
    }
}
